Subject: bug#56198: Request to delete window with mouse event

From: Juri Linkov <[email-masked]>
Date: Fri, 24 Jun 2022 20:05:49 +0300

> I frequently split my windows,  I usually kill the buffer using the menu
> bar.  But this leaves me with the window open with some other buffer. 
> Would like to request some facility to delete a window (delete-window)
> using the mouse, as I frequently do for `kill-buffer'.  Perhaps the
> capability could be inserted in the window mode-line.  Where  one can
> usually turn off a minor-mode with the mouse.

mouse-3 on the mode line deletes the window.
Also there is the built-in package emacs/lisp/strokes.el
for binding mouse strokes to commands.